package common

// LoginType 自定义登录类型
type LoginType string

// 登录类型
const (
	Github        LoginType = "github"          // Github登录
	WeChatMiniApp LoginType = "wechat_mini_app" // 微信小程序登录
	Password      LoginType = "password"        // 密码登录
)

// String 转换为字符串
func (t LoginType) String() string {
	return string(t)
}
