package router

import (
	"Lee-WineList/api/app"
	"github.com/gin-gonic/gin"
)

// 用户相关路由
func user(g *gin.RouterGroup) {
	g.GET("", app.UserApi().GetUser)                       // 获取当前登录用户信息
	g.POST("/binding/wechat", app.UserApi().BindingWeChat) // 绑定微信
	g.POST("/update", app.UserApi().UpdateUser)            // 修改用户信息
	g.GET("/like", app.UserApi().GetLikeWineList)          // 获取用户收藏的酒品
}
